/* Use this stylesheet to add your UI details, and to overwrite layout details for specific instances. */
html {
  scroll-behavior: smooth;
}


Resources

    /* Style the list, list items and links inside the menu */
    
    nav ul {
        list-style-type: none;
        padding: 0;
    }

    li {
        display: inline;
    }

    .inner-wrapper {
      max-width: 1340px;
      margin: 0 auto;
    }

    .text-wrap {
      padding: 50px;
      background-color: #ffffff;
    }

    /* Animation */ 


    .material-symbols-outlined{
      font-size: 9em;
      right: 50vw;
      transition: all 0.3s;
      transition-property: all;
      transition-duration: 0.3s;
      transition-timing-function: ease;
      transition-delay: 0s;
  }

/* ---------------------------- nav ---------------------------- */

  #navbar {
    padding-left: 5vw;
    padding-right: 5vw;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    overflow: hidden;
    height: 10vh;
    z-index: 5;
    background-color: #ffffff;
    box-shadow: 0 4px 4px -2px rgb(143, 143, 143);
  }

  /* Navbar links */
  #navbar a {
    display: block;
    color: #000000;
    text-decoration: none;
  }

  #navbar a:hover {
    display: block;
    color:#F04F3F;
  }
  
  #navbar a:active {
    display: block;
    color:#F5841F;
  }

  #navbar .sidepanel-text-area a:hover {
    display: block;
    color: #F04F3F;
    text-decoration: underline;
  }

  #navbar .sidepanel-text-area a:active {
    display: block;
    color:#F5841F;
    text-decoration: underline;
  }
  /* Logo */
  
  #header-logo {
    max-width: 120px;
    min-width: 120px;

  }

  /* The sidepanel menu */

.sidepanel {
  height: 300px; /* Specify a height */
  width: 0; /* 0 width - change this with JavaScript */
  border-radius: 15px 0px 0px 15px;
  position: fixed; /* Stay in place */
  z-index: 1; /* Stay on top */
  top: 0;
  right: 0;
  background-color:#FFC73B; /* Black*/
  overflow-x: hidden; /* Disable horizontal scroll */
  padding-top: 60px; /* Place content 60px from the top */
  transition: 0.5s; /* 0.5 second transition effect to slide in the sidepanel */
}

/* The sidepanel links */
.sidepanel a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  display: block;
  transition: 0.3s;
}

/* When you mouse over the navigation links, change their color */
.sidepanel a:hover {
  color: #f1f1f1;
}

.sidepanel-text-area {
padding-top: 20px;
padding-left: 27px;
}
/* Position and style the close button (top right corner) */
.sidepanel .closebtn {
  position: absolute;
  top: 0;
  left: 0px;
  font-size: 70px;
}

/* Style the button that is used to open the sidepanel */
.openbtn {
  font-size: 50px;
  color: rgb(0, 0, 0);
  align-content: center;
  border: none;
}


  /* Page content */
  .content {
    padding: 16px;
  }

  /* The sticky class is added to the navbar with JS when it reaches its scroll position */
  .sticky {
    position: fixed;
    top: 0;
    width: 100%;
  }

  /* Add some top padding to the page content to prevent sudden quick movement (as the navigation bar gets a new position at the top of the page (position:fixed and top:0) */
  .sticky + .content {
    padding-top: 120px;
  }


  

/* ---------------------------- header ---------------------------- */

#header {
  min-height: 100vh;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

#header a {
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
}

.header-arrow {
  display: inline;
  justify-content: flex-end;
  align-items: center;
  padding-top: 10vh;
}


#circles {
  min-height: 80vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

#circles img {
  height: 20vw;
  margin: 2vw;
}

#agd-logo {
position: relative;
max-width: 65%;
min-width: 65%;

}


.circle1 {
  position: relative;
  top: 50%;
  left: 0%;
  z-index: 10;
  animation-name: circle1;
	animation-duration: 0.5s;
	animation-timing-function: linear;	
	visibility: visible !important;	
}

@keyframes circle1 {
	0% {
		transform: translateX(34.3%);
	}
	100% {
		transform: translateX(0%);
	}	
}

.circle2 {
  position: relative;
  z-index: 5;
  top: 50%;
  left: 0;
}

.circle3 {
  position: relative;
  top: 50%;
  right: 0;
  animation-name: circle3;
	animation-duration: 0.5s;
	animation-timing-function: linear;	
	visibility: visible !important;	
}

@keyframes circle3 {
	0% {
		transform: translateX(-35%);
	}
	100% {
		transform: translateX(0%);
	}	
}

.delay1 {
  animation-delay: 1s;
  animation-fill-mode: backwards;
}

.delay2 {
  animation-delay: 2s;
  animation-fill-mode: backwards;
}

.delay2500 {
  animation-delay: 2.5s;
  animation-fill-mode: backwards;
}

.delay3 {
  animation-delay: 3s;
  animation-fill-mode: backwards;
}

.delay3500 {
  animation-delay: 3.5s;
  animation-fill-mode: backwards;
}

.delay4 {
  animation-delay: 4s;
  animation-fill-mode: backwards;
}

.delay5 {
  animation-delay: 5s;
  animation-fill-mode: backwards;
}


.red-reveal-down {
	animation-name: reveal-down;
	animation-duration: .4s;
	animation-timing-function: linear;
	animation-fill-mode: backwards;
}

@keyframes reveal-down {
	0% {
		height: 0;
	}
	100% {
		height: 60%;
	}
}

.yellow-reveal-down {
	animation-name: yellow-reveal-down;
	animation-duration: .6s;
	animation-timing-function: linear;
	animation-fill-mode: backwards;
}

@keyframes yellow-reveal-down {
	0% {
		height: 0;
	}
	100% {
		height: 80%;
	}
}

.appear{
	animation-name: appear;
	animation-duration: .7s;	
	animation-timing-function: ease-in-out;
	animation-fill-mode: backwards;
	visibility: visible !important;	
}


@keyframes appear {
	0% {
		opacity: 0.0;		
	}	
	
	100% {
		opacity: 1;	
	}		
}

.pulse{
	animation-name: pulse;
	animation-duration: 1.5s;	
	animation-iteration-count: infinite;
}

@keyframes pulse {
	0% {
		transform: scale(0.9);
		opacity: 0.7;		
	}
	50% {
		transform: scale(1);
		opacity: 1;	
	}	
	100% {
		transform: scale(0.9);
		opacity: 0.7;	
	}			
}

/* ---------------------------- hero ---------------------------- */
#hero {
  min-height: 100vh;
  margin-top: 10vh;
  padding-top: 50vh;
  padding-left: 5vw;
  padding-right: 5vw;
  
}

.hero-text-area {
  bottom: 0;
  left: 0;
}
/* ---------------------------- projects ---------------------------- */

.projects {
    display: flex;
}

.image-square {
    margin: 12%;

}

#projects h3{
  color: white;
  padding-top: 3vh;
  padding-bottom: 5vh;
}

#see-more h3{
  color: white;
  padding-top: 5vh;
  padding-bottom: 3vh;
}

#process-work h3 {
  color: white;
  padding-top: 5vh;
  padding-bottom: 3vh;
}

#process-work h4 {
  color: white;
}

.yellow-img p{
  position: absolute;
  margin-top: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  z-index: 2;
  color: #000000;
  opacity: 0;
  padding-top: 40%;
  justify-content: center;
  align-content: center;
  padding-left: 10%;
  padding-right: 10%;
  font-size: 2em;
  font-weight: 500;
}

.yellow-img p:hover {
  opacity: 1;
  z-index: 2;
}

.yellow-img{
  position:relative;
}

.yellow-img:hover{
  background-color: #FFC73B; 
  z-index: 1;
}

.yellow-img:hover img {
   opacity: 10%;
}

.orange-img:hover{
  background-color: #F5841F; 
}

.orange-img p{
  position: absolute;
  margin-top: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  z-index: 2;
  color: #000000;
  opacity: 0;
  padding-top: 40%;
  justify-content: center;
  align-content: center;
  padding-left: 10%;
  padding-right: 10%;
  font-size: 2em;
  font-weight: 500;
}

.orange-img p:hover {
  opacity: 1;
  z-index: 2;
}

.orange-img{
  position:relative;
}

.orange-img:hover img {
   opacity: 10%;
}

.red-img:hover{
  background-color: #F04F3F; 
}

.red-img:hover img {
   opacity: 10%;
}

.red-img p{
  position: absolute;
  margin-top: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  z-index: 2;
  color: #000000;
  opacity: 0;
  padding-top: 40%;
  justify-content: center;
  align-content: center;
  padding-left: 10%;
  padding-right: 10%;
  font-size: 2em;
  font-weight: 500;
}

.red-img p:hover {
  opacity: 1;
  z-index: 2;
}

.red-img{
  position:relative;
}

/* ---------------------------- process pics ---------------------------- */

#project-description {
  min-height: 100vh;
  padding-top: 15vh;
  padding-bottom:10vh;
  padding-left: 5vw;
  padding-right: 5vw;
} 

#project-description h4 {
  color: #F04F3F;
}

#process-work {
  background-color: #000000;
  max-height: 100vh;
  padding-bottom: 8vh;
}

#process-work img {
  max-height: 30em;
  padding: 1em;
  margin-bottom: 3em;
}

.scrolling-wrapper {
  overflow-x: scroll;
  overflow-y: hidden;
  white-space: nowrap;
  max-width: 85vw;
  margin: 0 auto;
  -webkit-overflow-scrolling: touch;
}

#process-work ::-webkit-scrollbar {
  width: 30px;
  color: #F5841F;
}

#process-work ::-webkit-scrollbar-track {
  background: #ffffff; 
  border-radius: 15px 15px 15px 15px ;
}

#process-work ::-webkit-scrollbar-thumb {
  background: #FFC73B; 
  border-radius: 15px 15px 15px 15px ;
}

  .card {
    display: inline-block;
    margin: 2%;
  }

  .card img {
     max-width: unset;
    height: 400px;
    width: auto;
  }


#process-work h2 {
  padding-bottom: .5em;
  margin-top: .5em;
  margin-bottom: 0em;
}

.rationale {
  margin-top: 3%;
  margin-bottom: 3%;
  padding-top: 3%;
}

.rationale p {
  margin-top: 0;
  max-width: 100%;
}

.rationale h3 {
  color: #000000;
  letter-spacing: normal;
}

#project-display {
  padding: 5%;
}

.project-display {
  max-width: 100%;
  display: flex;
  padding-top: 3%;
  flex-direction: column;
  align-content: center;

} 

.margin-top {
  padding-top: 3%;
}

.project-display img {
  width: 100%;
}

#see-more {
  padding-left: 5%;
  padding-right: 5%;
}

#see-more h2 {
    padding-bottom: .5em;
    margin-top: 1em;
    margin-bottom: 0em;
}

.large-img {
  width: 90vw;
}

/* Text */

.text-centred {
    text-align: center;
}

.text-white {
    color: white;
}

.text-area {
    padding: 1em;
}

#project-info .text-area {
padding-left: 0em;
padding-right: 1em;
}

/* Formatting */

.dark {
    background-color: #000000;
}

.center {
  display: flex;
  justify-content: center;
}

.processwork {
    background-color: red;
}

large-img {
  height: 10vh;
}


/* ----- contact ----- */

#contact{
min-height: 80vh;
padding-top: 10vh;
padding-bottom: 10vh;
padding-left: 5vh;
padding-right: 5vh;
display: flex;

}


#contact .text-area {
display: flex;
}

#contact h3 {
  margin-top: 0;
  padding-bottom: 0;
  color: #000000;
  letter-spacing: normal;
}

#contact h2 {
  padding-bottom: 0;
}

#contact h2 h3{
  align-content: center;
  justify-content: center;

}

.contact-center {
  align-items: center;
  justify-content: center;
}

input[type=text],
select,
textarea {
  width: 100%;
  padding: 8px;
  border: 1px solid #757575;
  border-radius: 4px;
  box-sizing: border-box;
  margin-top: 16px;
  margin-bottom: 16px;
  resize: vertical;
}
input[type=submit] {
  background-color: #F04F3F;
  color: #ffffff;
  width: 100%;
  padding: 12px 40px;
  border: none;
  border-radius: 7px;
  cursor: pointer;
  font-size: large;
  font-weight: 500;
}
input[type=submit]:hover {
  background-color:#FFC73B;
  color: #000000;
  padding: 12px 20px;
  border-style: solid;
  border-width: 0px;
  border-color: #F04F3F;
  border-radius: 7px;
  cursor: pointer;
}


#message{
  height: 200px;
}
.contact-container {
  border-radius: 8px;
  background-color: #ffffff;
  padding: 15px;
}

#contact a:hover {
  color: black;
  text-decoration: none;
}

#contact a:active {
  color:#FFC73B;
  text-decoration: none;
}

.fa {
  padding: 20px;
  font-size: 3em;
  text-align: center;
  text-decoration: none;
  margin: 5px 2px;
  margin-top: 5vh;
  border-radius: 50%;
}
.social-media {
  display: flex;
  flex-direction: row;
}

.fa-linkedin {
  background: #000000;
  color: white;
}

.fa-linkedin:hover {
  background:#F5841F;
}

.fa-instagram {
  background: #000000;
  color: white;
}

.fa-instagram:hover {
  background:#F5841F;
}

.footer-socials {
  display: flex;
  list-style-type: none;
}

 

/* ----------------------- Project Display ----------------------- */

/* Style the footer */
footer {
    width: 100%;
    background-color: #ffffff;
    height: 12vh;
    display: flex;
    box-shadow: 0px -4px 4px -2px rgb(143, 143, 143);
    text-align: center;
    color: rgb(0, 0, 0);

  }

#footer-logo {
  max-width: 320px;
  min-width: 320px;
  height: 25px;
  margin: 0 auto;
 margin-top: 30px;
}


@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}


/* ----Responsive layout - Media queries-------- */

@media (max-width: 600px) {

    .flex-item {
    width: calc(100vw - 4em);
    height: auto;
    }

}

@media (min-width: 768px) {

    #hero .text-area {
        max-width: 60vw;
    }

    #hero p {
      margin-top: 10px;
    }

    .text-area {
      padding: 2em;
  }
  #process-work h4 {
    color: rgb(0, 0, 0);
  }
    
}

@media (min-width: 1080px) {

    #hero .text-area {
        max-width: 30vw;
    }

    .text-area {
      padding: 2em;
  }

  #process-work h4 {
    color: rgb(0, 0, 0);
  }
}



@media (min-width: 1300px) {
 
  .text-area {
    padding: 2em;
}

#process-work h4 {
  color: rgb(0, 0, 0);
}
    
} 
